package co.yixiang.yshop.module.product.api.coupon;

/**
 * @author pepis
 * @apiNote
 **/
public interface CouponApi {
    /**
     * 发放优惠券
     *
     * @param couponId /
     */
    void receiveCoupon(Long couponId, Long uid);

    /**
     * 获取优惠券数量
     *
     * @param userId 用户id
     */
    Integer getCouponNumber(Long userId);
}
